<?php
include_once("c_esmo_magnit_instruction_card_doc.php");
class c_page_cab_esmo_magnit_instruction_card_doc_sign extends c_page_cab_esmo_magnit_instruction_card_doc
{
  var $doc_id ;
  public $use_cryptopro=1;
  public $show_panel_cryptopro_status=1;

  function second_menu_config() {}


 function block_main()
  { $arr=explode('/',_CUR_PAGE_DIR) ;
    if ((int)$arr[6]) $this->doc_id=(int)$arr[6] ;
    if ($this->doc_id)
    { $this->rec_doc=DOCS()->get_doc_by_id($this->doc_id) ;
      if ($this->rec_doc['pkey'])
      { $this->rec_doc['__href']="/window/esmo_magnit_instruction/card/".$this->rec_event['pkey']."/doc/".$this->rec_doc['pkey']."/" ;
        $this->rec_doc['__href_cab']="/window/esmo_magnit_instruction/card/".$this->rec_event['pkey']."/doc/".$this->rec_doc['pkey']."/" ;
        $this->rec_doc['__href_window']="/window/esmo_magnit_instruction/card/".$this->rec_event['pkey']."/doc/".$this->rec_doc['pkey']."/" ;

        $this->page_title();
        \cab\ext\cryptopro\i_cryptopro_sign::panel_sign(MEMBER()->id,$this->sign_uid,['rec_doc'=>$this->rec_doc]);
      }
    }
  }



}



?>
